extends ../../common-templates/layout

block title
  title View Message | StreamExplorer

block content
  h1 Message #{message.streamName}/#{message.position}

  h2 Metadata

  - metadata = message.metadata || {}
  - traceId = (metadata.properties && metadata.properties.traceId) || metadata.traceId

  table.table.table-striped 
    tbody
      tr
        th ID
        td= message.id
      tr
        th Type
        td= message.type
      tr
        th Position
        td= message.position
      tr
        th Global Position
        td= message.globalPosition
      tr
        th Time
        td= message.time
      tr
        th Schema Version
        td= metadata.schemaVersion
      tr
        th Trace ID
        td
          if traceId
            a(href=`/trace-id-streams/${traceId}`)= traceId
          else
            = metadata.traceId
      tr
        th Causation Message Stream Name
        td= metadata.causationMessageStreamName
      tr
        th Causation Message Position
        td= metadata.causationMessagePosition
      tr
        th Causation Message Global Position
        td= metadata.causationMessageGlobalPosition
      tr
        th Correlation Stream Name

        if metadata.correlationStreamName
          td: a(href=`/streams/${metadata.correlationStreamName}`)= metadata.correlationStreamName
        else
          td= metadata.correlationStreamName
      tr
        th Reply Stream Name
        td= metadata.replayStreamName

  h2 Data

  p.alert.alert-warning It is up for debate whether or not this section will be here

  pre
    |  {
    |    "important": "data"
    |  }
